"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const meow_1 = __importDefault(require("meow"));
const run_1 = __importDefault(require("./run"));
const cli = meow_1.default(`
  Usage
    $ mokia <entry-file> [options]

  Options
    --host       -h     Set host, default to "localhost".
    --port       -p     Set port, default to 8080.
    --prefix            Set route prefix.
    --priority          Set priority url.
    --watch      -w     Watch input files.
    --silent     -s     Hide request logs.
    --debug             Enable debug mode.

  Example
    $ mokia index.ts
    $ mokia ./my-project --port 8080
`, {
    flags: {
        host: {
            type: 'string',
            alias: 'h'
        },
        port: {
            type: 'string',
            alias: 'p'
        },
        prefix: {
            type: 'string'
        },
        priority: {
            type: 'string'
        },
        watch: {
            type: 'boolean',
            alias: 'w'
        },
        silent: {
            type: 'boolean',
            alias: 's'
        },
        debug: {
            type: 'boolean'
        }
    }
});
run_1.default(cli);
