"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
const utils_1 = require("../utils");
function datetime(format, n1, n2) {
    return utils_1.formatDate(utils_1.randomDate(n1, n2), format || constants_1.DATETIME_FORMAT);
}
exports.datetime = datetime;
function date(format, min, max) {
    return datetime(format || constants_1.DATE_FORMAT, min, max);
}
exports.date = date;
function time(format, min, max) {
    return datetime(format || constants_1.TIME_FORMAT, min, max);
}
exports.time = time;
/**
 * Returns current datetime string
 */
function now(format) {
    return utils_1.formatDate(new Date(), format || constants_1.DATETIME_FORMAT);
}
exports.now = now;
function timestamp(n1, n2) {
    return utils_1.ensureInteger(utils_1.formatDate(utils_1.randomDate(n1, n2), constants_1.TIMESTAMP_MILLISECOND), 10);
}
exports.timestamp = timestamp;
