"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const canvas_1 = require("canvas");
function image(...args) {
    const [size = '100x100', text = '', background = '6a737d', foreground = 'fff', format = 'png'] = args;
    // candidates:
    // http://dummyimage.com
    // http://dn-placeholder.qbox.me
    // https://placeholder.com
    // http://fpoimg.com
    // http://placekitten.com
    // http://placeimg.com
    // http://uifaces.com
    const host = 'http://dummyimage.com';
    const query = text ? '?text=' + text : '';
    return `${host}/${size}/${background}/${foreground}/${format}${query}`;
}
exports.image = image;
function dataImage(...args) {
    const [size = '100x100', text = '', background = '6a737d', foreground = 'fff', format = 'png'] = args;
    const [width, height] = size.split('x').map((v) => parseInt(v, 10));
    const canvas = canvas_1.createCanvas(width, height);
    const ctx = canvas.getContext('2d');
    ctx.fillStyle = background;
    ctx.fillRect(0, 0, width, height);
    ctx.textAlign = 'center';
    ctx.textBaseline = 'middle';
    ctx.font = 'bold 14px sans-serif';
    ctx.fillStyle = foreground;
    ctx.fillText(text, width / 2, height / 2, width);
    return canvas.toDataURL('image/' + format);
}
exports.dataImage = dataImage;
