"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const basic_1 = require("../../basic");
const utils_1 = require("../../../utils");
function word(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 1));
    const min = utils_1.defaultTo(n1, 1);
    return basic_1.string(constants_1.WORDS, min, max);
}
exports.word = word;
function title(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 8));
    const min = utils_1.defaultTo(n1, 3);
    return word(min, max);
}
exports.title = title;
function sentence(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 18));
    const min = utils_1.defaultTo(n1, 8);
    return word(min, max) + '。';
}
exports.sentence = sentence;
function paragraph(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 8));
    const min = utils_1.defaultTo(n1, 3);
    return Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => sentence())
        .join('');
}
exports.paragraph = paragraph;
function passage(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 5));
    const min = utils_1.defaultTo(n1, 2);
    return Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => paragraph())
        .join('\n');
}
exports.passage = passage;
