"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const basic_1 = require("./basic");
const constants_1 = require("../constants");
const utils_1 = require("../utils");
function word(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 8));
    const min = utils_1.defaultTo(n1, 1);
    return basic_1.string(constants_1.pools.lower, min, max);
}
exports.word = word;
function title(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 5));
    const min = utils_1.defaultTo(n1, 1);
    return Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => utils_1.capitalize(word()))
        .join(' ');
}
exports.title = title;
function sentence(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 15));
    const min = utils_1.defaultTo(n1, 5);
    const str = Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => word())
        .join(' ') + '.';
    return utils_1.capitalize(str);
}
exports.sentence = sentence;
function paragraph(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 5));
    const min = utils_1.defaultTo(n1, 2);
    return Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => sentence())
        .join(' ');
}
exports.paragraph = paragraph;
function passage(n1, n2) {
    const max = utils_1.defaultTo(n2, utils_1.defaultTo(n1, 5));
    const min = utils_1.defaultTo(n1, 2);
    return Array
        .from({ length: basic_1.integer(min, max) })
        .map(() => paragraph())
        .join('\n');
}
exports.passage = passage;
