"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generators_1 = require("./generators");
const mockable_1 = require("./mockable");
const utils_1 = require("./utils");
function mixin(...protos) {
    const last = protos[protos.length - 1];
    const props = typeof last === 'string' || Array.isArray(last)
        ? protos.pop()
        : null;
    const mockables = protos.map((proto) => mockable_1.getMockable(proto));
    const mockable = Object.assign({}, ...mockables);
    return props
        ? utils_1.pickProps(mockable, props)
        : mockable;
}
exports.mixin = mixin;
function execute(...protos) {
    const mockable = mixin(...protos);
    return generators_1.generate(mockable);
}
exports.execute = execute;
