"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
function createInvoker(fn, args) {
    return function () {
        return fn.apply(this, args);
    };
}
exports.createInvoker = createInvoker;
function createDecorator(fn, args) {
    return (target, propertyKey) => {
        const invoker = createInvoker(fn, args);
        target[constants_1.MOCKABLE] = target[constants_1.MOCKABLE]
            ? Object.assign({}, target[constants_1.MOCKABLE], { [propertyKey]: invoker }) : { [propertyKey]: invoker };
    };
}
exports.createDecorator = createDecorator;
