"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = __importDefault(require("http"));
const utils_1 = require("../utils");
function priorityHandler(url) {
    return (req, res, next) => {
        const method = req.method;
        const redirectUrl = utils_1.concatUrls(url, req.url);
        const request = http_1.default
            .request(redirectUrl, { method: req.method })
            .on('response', (response) => {
            utils_1.log(`- [${response.statusCode}] `, utils_1.colors[method](method), redirectUrl);
            if (response.statusCode === 404) {
                next();
            }
            else {
                response.pipe(res);
            }
        })
            .on('error', () => {
            next();
        });
        request.end();
    };
}
exports.priorityHandler = priorityHandler;
function interceptor(handler, payloadKey) {
    return (req, res, next) => {
        const payload = res.locals[payloadKey];
        res.locals[payloadKey] = handler(req, res, payload);
        next();
    };
}
exports.interceptor = interceptor;
