/**
 * Returns boolean value
 *
 * @example
 *
 * boolean()
 * // => true / false
 *
 * boolean(1)
 * // => true
 *
 * boolean(1, false)
 * // => false
 */
export declare function boolean(chance?: number, value?: boolean): boolean;
/**
 * Returns an integer
 *
 * @example
 *
 * integer()
 * // => -MAX_INTEGER ~ MAX_INTEGER
 *
 * integer(100)
 * // => 0 ~ 100
 *
 * integer(100, 200)
 * // => 100 ~ 200
 */
export declare function integer(max?: number): number;
export declare function integer(min: number, max: number): number;
/**
 * Returns a natural number
 *
 * @example
 *
 * natural()
 * // => 0 ~ MAX_INTEGER
 *
 * natural(100)
 * // => 0 ~ 100
 *
 * natural(100, 200)
 * // => 100 ~ 200
 */
export declare function natural(max?: number): number;
export declare function natural(min: number, max: number): number;
/**
 * Returns a float number
 *
 */
export declare function float(max?: number): number;
export declare function float(min: number, max: number): number;
export declare function float(min: number, max: number, fixed: number): number;
export declare function float(min: number, max: number, dmin: number, dmax: number): number;
/**
 * Returns a char
 *
 * @example
 *
 * char()
 * // => 'v'
 *
 * char('0123456789')
 * // => '6'
 */
export declare function char(pool: string): string;
/**
 * Returns a string
 *
 * @example
 *
 * string('abcd')
 * // => 'baddcdabac'
 *
 * string('abcd', 5)
 * // => 'cadbd'
 *
 * string('abcd', 3, 10)
 * // => 'bdabcc'
 */
export declare function string(pool: string, length?: number): string;
export declare function string(pool: string, min: number, max: number): string;
