import { DateType } from '../utils';
/**
 * Returns a datetime string
 *
 * @example
 *
 * datetime()
 * // => '2007-03-27 18:23:14'
 *
 * datetime('YYYY-MM')
 * // => '2001-05'
 *
 * datetime('YYYY-MM-DD', '2018-12-31')
 * // => '2014-06-03'
 *
 * datetime('YYYY-MM-DD', '2018-12-01', '2018-12-31')
 * // => '2018-12-26'
 */
export declare function datetime(format?: string): string;
export declare function datetime(format: string, max: DateType): string;
export declare function datetime(format: string, min: DateType, max: DateType): string;
/**
 * Returns date string
 */
export declare function date(format?: string): string;
export declare function date(format: string, max: DateType): string;
export declare function date(format: string, min: DateType, max: DateType): string;
/**
 * Returns date string
 */
export declare function time(format?: string): string;
export declare function time(format: string, max: DateType): string;
export declare function time(format: string, min: DateType, max: DateType): string;
/**
 * Returns current datetime string
 */
export declare function now(format?: string): string;
/**
 * Returns timestamp string
 */
export declare function timestamp(): number;
export declare function timestamp(max: DateType): number;
export declare function timestamp(min: DateType, max: DateType): number;
