/**
 * Returns an image url
 *
 * @example
 *
 * image()
 * // => 'http://dummyimage.com/100x100/...'
 *
 * image('64x64')
 * // => 'http://dummyimage.com/64x64/...'
 */
export declare function image(size?: string): string;
export declare function image(size: string, text: string): string;
export declare function image(size: string, text: string, background: string): string;
export declare function image(size: string, text: string, background: string, foreground: string): string;
export declare function image(size: string, text: string, background: string, foreground: string, format: 'png' | 'jpg' | 'gif'): string;
/**
 * Returns a base64 image string
 *
 * @example
 *
 * dataImage()
 * // => 'data:image/...'
 *
 * dataImage('64x64')
 * // => 'data:image/...'
 */
export declare function dataImage(size?: string): string;
export declare function dataImage(size: string, text: string): string;
export declare function dataImage(size: string, text: string, background: string): string;
export declare function dataImage(size: string, text: string, background: string, foreground: string): string;
export declare function dataImage(size: string, text: string, background: string, foreground: string, format: 'png' | 'jpg' | 'gif'): string;
