import { Region } from './constant-regions';
/**
 * Returns a province
 *
 * @example
 * province()
 * // => { code: '440000', name: '广东省' }
 */
export declare function province(): Region;
/**
 * Returns a province name
 *
 * @example
 * provinceName()
 * // => '广东省'
 */
export declare function provinceName(): string;
/**
 * Returns a city
 *
 * @example
 * city()
 * // => { code: '440100', name: '广州市' }
 */
export declare function city(): Region;
/**
 * Returns a city name
 *
 * @example
 * cityName()
 * // => '广州市'
 */
export declare function cityName(): string;
/**
 * Returns a county
 *
 * @example
 * county()
 * // => { code: '440105', name: '海珠区' }
 */
export declare function county(): Region;
/**
 * Returns a county name
 *
 * @example
 * countyName()
 * // => '海珠区'
 */
export declare function countyName(): string;
/**
 * Returns a region
 *
 * @example
 * region()
 * // => [
 *         { code: '440000', name: '广东省' },
 *         { code: '440100', name: '广州市' },
 *         { code: '440105', name: '海珠区' }
 *       ]
 */
export declare function region(): Region[];
/**
 * Returns a region name
 *
 * @example
 * regionName()
 * // => '广东省 广州市 海珠区'
 */
export declare function regionName(): string;
/**
 * Returns a zip code
 *
 * @example
 * zip()
 * // => '159041'
 */
export declare function zipCode(): string;
