/**
 * Returns a word
 *
 * @example
 *
 * word()
 * // => '已'
 *
 * word(5)
 * // => '极相称局会'
 *
 * word(3, 10)
 * // => '当断个看'
 */
export declare function word(length?: number): string;
export declare function word(min: number, max: number): string;
/**
 * Returns a title
 *
 * @example
 *
 * title()
 * // => '走因拉名'
 *
 * title(5)
 * // => '热实身六部'
 *
 * title(3, 10)
 * // => '快节世得成候'
 */
export declare function title(length?: number): string;
export declare function title(min: number, max: number): string;
/**
 * Returns a sentence
 *
 * @example
 *
 * sentence()
 * // => '于活平少联展思各多受族代至。'
 *
 * sentence(5)
 * // => '名龙有好都。'
 *
 * sentence(3, 10)
 * // => '色最提量毛斯合。'
 */
export declare function sentence(length?: number): string;
export declare function sentence(min: number, max: number): string;
/**
 * Returns a paragraph
 *
 * @example
 *
 * paragraph()
 * // => 'xxx。xxx。xxx。'
 *
 * paragraph(2)
 * // => 'xxx。xxx。'
 *
 * paragraph(2, 4)
 * // => 'xxx。xxx。xxx。xxx。'
 */
export declare function paragraph(length?: number): string;
export declare function paragraph(min: number, max: number): string;
/**
 * Returns a passage
 *
 * @example
 *
 * passage()
 * // => '...\n...\n...'
 *
 * passage(2)
 * // => '...\n...\n'
 *
 * passage(2, 4)
 * // => '...\n...\n...\n...'
 */
export declare function passage(length?: number): string;
export declare function passage(min: number, max: number): string;
