/**
 * Returns a word
 *
 * @example
 *
 * word()
 * // => 'aywivh'
 *
 * word(5)
 * // => 'krqmh'
 *
 * word(3, 10)
 * // => 'rivpau'
 */
export declare function word(length?: number): string;
export declare function word(min: number, max: number): string;
/**
 * Returns a title
 *
 * @example
 *
 * title()
 * // => 'Himgi Krpv Aicgw'
 *
 * title(5)
 * // => 'Ymxgw Qkv Jmy Tlfsun Kiewcg'
 *
 * title(3, 10)
 * // => 'Pkfqif Hipr Jvsm Oqkkk'
 */
export declare function title(length?: number): string;
export declare function title(min: number, max: number): string;
/**
 * Returns a sentence
 *
 * @example
 *
 * sentence()
 * // => 'Lnoq kfuwmzi pdura.'
 *
 * sentence(5)
 * // => 'Skvp qkfvpd fhre zloqjbn uekgr.'
 *
 * sentence(3, 10)
 * // => 'Vkriw kbuq lgonza wurmg.'
 */
export declare function sentence(length?: number): string;
export declare function sentence(min: number, max: number): string;
/**
 * Returns a paragraph
 *
 * @example
 *
 * paragraph()
 * // => 'xxx. xxx. xxx.'
 *
 * paragraph(2)
 * // => 'xxx. xxx.'
 *
 * paragraph(2, 4)
 * // => 'xxx. xxx. xxx. xxx.'
 */
export declare function paragraph(length?: number): string;
export declare function paragraph(min: number, max: number): string;
/**
 * Returns a passage
 *
 * @example
 *
 * passage()
 * // => '...\n...\n...'
 *
 * passage(2)
 * // => '...\n...\n'
 *
 * passage(2, 4)
 * // => '...\n...\n...\n...'
 */
export declare function passage(length?: number): string;
export declare function passage(min: number, max: number): string;
