import { Mockable } from './mockable';
declare type Proto<T> = T extends new (...args: any[]) => infer R ? R : T;
export declare function mixin<P>(proto: P, props?: string | string[]): Proto<P>;
export declare function mixin<P1, P2>(p1: P1, p2: P2, props?: string | string[]): Proto<P1> & Proto<P2>;
export declare function mixin<P1, P2, P3>(p1: P1, p2: P2, p3: P3, props?: string | string[]): Proto<P1> & Proto<P2> & Proto<P3>;
export declare function mixin<P1, P2, P3, P4>(p1: P1, p2: P2, p3: P3, p4: P4, props?: string | string[]): Proto<P1> & Proto<P2> & Proto<P3> & Proto<P4>;
export declare function mixin(...protos: any[]): Mockable;
export declare function execute<P>(proto: P, props?: string | string[]): Proto<P>;
export declare function execute<P1, P2>(p1: P1, p2: P2, props?: string | string[]): Proto<P1> & Proto<P2>;
export declare function execute<P1, P2, P3>(p1: P1, p2: P2, p3: P3, props?: string | string[]): Proto<P1> & Proto<P2> & Proto<P3>;
export declare function execute<P1, P2, P3, P4>(p1: P1, p2: P2, p3: P3, p4: P4, props?: string | string[]): Proto<P1> & Proto<P2> & Proto<P3> & Proto<P4>;
export declare function execute(...protos: any[]): any;
export {};
