import { Routes } from './route';
import { InterceptorHandler } from './middlewares';
export declare const HOST: unique symbol;
export declare const PORT: unique symbol;
export declare const PREFIX: unique symbol;
export declare const SILENT: unique symbol;
export declare const PRIORITY: unique symbol;
export declare const INTERCEPTORS: unique symbol;
export declare const PAYLOAD_KEY = "PAYLOAD_KEY";
export interface ServerConfig extends Routes {
    [HOST]?: string;
    [PORT]?: string | number;
    [PREFIX]?: string;
    [SILENT]?: boolean;
    [PRIORITY]?: string;
    [INTERCEPTORS]?: {
        request?: InterceptorHandler;
        response?: InterceptorHandler;
    };
}
export declare function create(config: ServerConfig): Promise<[number, Function]>;
