export declare const log: {
    (message?: any, ...optionalParams: any[]): void;
    (message?: any, ...optionalParams: any[]): void;
};
export declare const colors: {
    [key: string]: Function;
};
/**
 * Returns a debounced function
 *
 * @example
 *
 * debounce(function () { }, 200)
 */
export declare function debounce<T extends Function>(fn: T, delay: number): T;
/**
 * Concat urls
 *
 * @example
 *
 * concatUrls('/aaa', 'bbb', 'ccc', '/ddd')
 * // => '/aaa/bbb/ccc/ddd'
 */
export declare function concatUrls(...urls: string[]): string;
/**
 * Get all dependencies.
 *
 * @example
 *
 * getDependencies('./index.js')
 * // => []
 */
export declare function getDependencies(rootPath: string, ignore?: RegExp): string[];
